<?php
require_once('../wu-engine/wu_init.php');
$page_name = 'Создание нового товара';
$page_keys = 'Создание нового товара';
$page_desc = 'Создание нового товара';
$online_title = 'На странице добавления товара';
$online_url = '/account/eshop_new';
include('../wu-engine/wu_header.php');
if(!USER_LOGGED) { header ("Location: /"); exit; }
?>

<div class="alert alert-info fade in" style="margin-bottom:20px">Вы можете продавать свой товар как бесконечное, так и ограниченное количество раз. При ограниченном типе Вы должны после создания товара указать его экземпляры, которые будут проданы. Экземпляры указываются только в текстовом виде. При создании товара с бесконечным количеством продаж Вы можете указывать текст (контактные данные, ссылка на скачивание) или загружать сам архив с товаром. Если Ваш товар весит <b>более 50 Мб</b>, выберите тип Текст и в поле "Секретный текст" укажите ссылку на скачивание с <a href="https://disk.yandex.ru" target="_blank">Яндекс.Диска</a> или <a href="https://cloud.mail.ru" target="_blank">Mail Облака</a>. Скриншоты и файлы загружаются после добавления товара.</div>

<div class="panel panel-default">
<div class="panel-heading"><h6 class="panel-title"><i class="icon-plus"></i> Добавление товара</h6></div>
<div class="panel-body">
<div class="form-group">
<label>Категория:</label>
<select class="form-control" id="cat">
<option value="1" selected="">Скрипты порталов</option>
<option value="2">Скрипты казино</option>
<option value="3">Доски объявлений</option>
<option value="4">Интернет магазины</option>
<option value="5">Скрипты буксов,CAP</option>
<option value="6">Скрипты хайпов</option>
<option value="7">Экономические игры</option>
<option value="8">Модули для CMS</option>
<option value="9">Остальное</option>

</select>
</div>
<div class="form-group">
<label>Количество товара:</label>
<select class="form-control" id="inf">
<option value="0" selected="">Бесконечный</option>
<option value="1">Ограниченное количество</option>
</select>
</div>
<div class="form-group" style="display:none" id="limit">
<div class="alert alert-info"><center>После добавления нужно будет указать экземпляры товара</center></div>
</div>
<div id="th">
<div class="form-group">
<label>Тип товара:</label>
<select class="form-control" id="ty">
<option value="0" selected="">Файл</option>
<option value="1">Текст</option>
</select>
</div>
<div class="form-group" style="display:none" id="secreth">
<label>Секретный текст:</label>
<textarea rows="5" cols="5" class="form-control" placeholder="Текст, который получит пользователь после покупки" id="sec"></textarea>
</div>
</div>
<div class="form-group">
<label>Цена товара:</label>
<input type="text" class="form-control" placeholder="Введите цену в рублях" id="co">
</div>
<div class="form-group">
<label>Название товара:</label>
<input type="text" class="form-control" placeholder="Введите название товара" id="ti">
</div>
<div class="form-group">
<label>Краткое описание товара:</label>
<textarea rows="5" cols="5" class="form-control" placeholder="Введите описание товара" id="ts"></textarea>
</div>
<div class="form-group">
<label>Полное описание товара:</label>
<div class="block-inner">
<ul class="wysihtml5-toolbar">
<li>
<select class="btn btn-default btn-icon" name="head" onchange="click_bbadd('tf', 'h=' + this.options[this.selectedIndex].value)">
<option value="Размер">Размер текста</option>
<option value="1">H1</option>
<option value="2">H2</option>
<option value="3">H3</option>
<option value="4">H4</option>
<option value="5">H5</option>
</select>
</li>
<li>
<div class="btn-group">
<a class="btn btn-default btn-icon" title="Жирный" tabindex="-1" href="javascript:;" onclick="click_bbadd('tf', 'b');"><i class="icon-bold"></i></a>
<a class="btn btn-default btn-icon" title="Курсив" tabindex="-1" href="javascript:;" onclick="click_bbadd('tf', 'i');"><i class="icon-italic"></i></a>
<a class="btn btn-default btn-icon" title="Подчёркнутый" tabindex="-1" href="javascript:;" onclick="click_bbadd('tf', 'u');"><i class="icon-underline"></i></a>
</div>
</li>
<li>
<div class="btn-group">
<a class="btn btn-default btn-icon" title="Текст слева" tabindex="-1" href="javascript:;" onclick="click_bbadd('tf', 'left');"><i class="icon-paragraph-left2"></i></a>
<a class="btn btn-default btn-icon" title="Текст по центру" tabindex="-1" href="javascript:;" onclick="click_bbadd('tf', 'center');"><i class="icon-paragraph-center2"></i></a>
<a class="btn btn-default btn-icon" title="Текст справа" tabindex="-1" href="javascript:;" onclick="click_bbadd('tf', 'right');"><i class="icon-paragraph-right2"></i></a>
</div>
</li>
<li>
<div class="btn-group">
<a class="btn btn-default btn-icon" title="Цитата" tabindex="-1" href="javascript:;" onclick="click_bbadd('tf', 'quote');"><i class="icon-quotes-left"></i></a>
<a class="btn btn-default btn-icon" title="Вставить ссылку" tabindex="-1" href="javascript:;" onclick="click_bbadd('tf', 'url');"><i class="icon-link"></i></a>
</div>
</li>
</ul>
<textarea rows="20" cols="5" class="form-control" style="height: auto !important;" placeholder="Введите описание товара" id="tf"></textarea>
</div>
</div>
<div class="form-actions text-right">
<center><a href="javascript://" id="prev" class="btn btn-default" data-loading-text="<i class='icon-spinner7 spin'></i> Загружаем">Предварительный просмотр</a> <a href="javascript://" id="submit" class="btn btn-default" data-loading-text="<i class='icon-spinner7 spin'></i> Добавляем">Добавить</a></center>
</div>
</div>
</div>
<div class="panel panel-default" id="pprev" style="display:none;">
<div class="panel-heading">
<h6 class="panel-title">Предварительный просмотр</h6>
<div class="panel-icons-group">
<a href="#" data-panel="close" class="btn btn-link btn-icon"><i class="icon-cancel-circle"></i></a>
</div>
</div>
<div class="panel-body" id="result"></div>
</div>
<script async src="/wu-static/js/bb.js"></script>
<script type='text/javascript'>
$(function() {
$('#inf').change(function() {
var infv = $("#inf").val();
if (infv == 0) {
$('#limit').hide('slow');
$('#th').show('slow');
}
if (infv == 1) {
$('#limit').show('slow');
$('#th').hide('slow');
}
});
$('#ty').change(function() {
var tyh = $("#ty").val();
if (tyh == 0) {
$('#secreth').hide('slow');
}
if (tyh == 1) {
$('#secreth').show('slow');
}
});
var bprev = $('#prev');
bprev.click(function() {
var prev = $("#tf").val();
var allpost = {text: prev, 'token': token};
if(prev) {
bprev.button('loading');
$.ajax({
type: "POST",
url: '/wu-engine/wu-actions/eshop_item_prev.php',
data: allpost,
cache: false,
success: function(result){
bprev.button('reset');
$('#pprev').show();
$('#result').html(result);
},
error: function(){
bprev.button('reset');
serr();
}
});
} else {
$.jGrowl('Не введён текст для предпросмотра', { theme: 'growl-error' });
}
return false;
});
var btns = $('#submit');
btns.click(function(){
btns.button('loading');
var cat = $('#cat').val();
var inf = $('#inf').val();
var ty = $('#ty').val();
var sec = $('#sec').val();
var co = $('#co').val();
var ti = $('#ti').val();
var ts = $('#ts').val();
var tf = $('#tf').val();
$.ajax({
type: 'POST',
url: '/wu-engine/wu-actions/eshop_item_new.php',
data: {'cat': cat, 'inf': inf, 'ty': ty, 'sec': sec, 'co': co, 'ti': ti, 'ts': ts, 'tf': tf, 'token': token},
cache: false,
success: function(result){
btns.button('reset');
if (result == '0') {
$.jGrowl('Не заполнены все необходимые поля', { theme: 'growl-error' });
}
if (result == '1') {
$(location).attr('href','/account/eshop_my');
}
if (result == '3') {
jerr();
}
if (result == '4') {
$.jGrowl('Стоимость товара менее 1 рубля', { theme: 'growl-error' });
}
},
error: function(){
btns.button('reset');
serr();
}
});
});
});
</script>

<?php include('../wu-engine/wu_footer.php'); ?>